From 78b10da3fc88c5ddf46b68d3dd3ac9b62fdf2cb6 Mon Sep 17 00:00:00 2001
From: CentOS Sources <bugs@centos.org>
Date: Thu, 30 Nov 2017 18:48:18 +0000
Subject: [PATCH] debrand docker-1.12.6-68.gitec8512b.el7

---
 SOURCES/dockerd-common.sh |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/SOURCES/dockerd-common.sh b/SOURCES/dockerd-common.sh
new file mode 100644
index 0000000..f18d474
--- /dev/null
+++ b/SOURCES/dockerd-common.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+. /etc/sysconfig/docker
+[ -e "${DOCKERDBINARY}" ] || DOCKERDBINARY=/usr/bin/dockerd-current
+if [ ! -f /usr/bin/dockerd-current ]; then
+    if [ ! -f /usr/bin/dockerd-latest ]; then
+        echo "You don't have either docker or \
+docker-latest installed. Please install either one and retry."
+        exit
+    else
+        DOCKERDBINARY=/usr/bin/dockerd-latest
+    fi
+fi
+if [[ ${DOCKERDBINARY} != "/usr/bin/dockerd-current" && ${DOCKERDBINARY} != "/usr/bin/dockerd-latest" ]]; then
+    echo "DOCKERDBINARY has been set to an invalid value:" $DOCKERDBINARY
+    echo ""
+    echo "Please set DOCKERDBINARY to /usr/bin/dockerd-current or /usr/bin/dockerd-latest
+by editing /etc/sysconfig/docker"
+else
+    exec ${DOCKERDBINARY} "$@"
+fi

--
Gitblit v1.8.0